MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028503Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-03-02 14:052018-07-09 10:58
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0028503: Incomplete result of making volume operation due to incorrect intersection of conical faces
DescriptionThe result of making volume operation in the test cases boolean volumemaker C5 and C6 are incomplete.
The current result in the case volumemaker C5 contains 12 solids. But the result should contain at least 16 solids and the result of the case volumemaker C6 should contain at least 29 solids.

The incorrect result is produced due to incorrect intersection of two conical faces from the input shapes - the section curve between these faces is incomplete.
Steps To Reproducetest boolean volumemaker C5
checknbshapes result -solid 16

don f2 f6
bopcurves f2 f6 -2d
# one curve found c_1
# tolerance reached - 7.1682093718305186e-007
 
mkedge e c_1
explode e v
distmini d e_1 e_2; dval d_val
# 3.5060691061517029e-006

The section curve is incomplete and does not split the faces:
bclearobjects
bcleartools
baddobjects f2
baddtools f6
bfillds
bbuild r
checknbshapes r -face 4
# only two faces in the result
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0029807verifiedbugmaster [Regression to 7.0.0] Impossible to cut cone from prism 

-  Notes
(0064081)
msv (developer)
2017-03-02 15:29

Fix when there is time.
(0076846)
nbv (developer)
2018-06-20 14:05

This problem is fixed by the branch CR29807*
(0077382)
nbv (developer)
2018-07-09 10:25

This bug is fixed now. Tes case g\has already been integrated. See "tests/bugs/modalg_7/bug29807_svm*" test cases.

- Issue History
Date Modified Username Field Change
2017-03-02 14:05 emv New Issue
2017-03-02 14:05 emv Assigned To => msv
2017-03-02 15:29 msv Note Added: 0064081
2017-03-02 15:29 msv Assigned To msv => nbv
2017-03-02 15:29 msv Status new => assigned
2017-03-02 15:31 nbv Relationship added related to 0024418
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:09 msv Target Version 7.3.0 => 7.4.0*
2018-06-19 14:20 nbv Relationship added related to 0029807
2018-06-20 14:05 nbv Note Added: 0076846
2018-06-20 14:05 nbv Status assigned => feedback
2018-06-20 14:05 nbv Relationship deleted related to 0024418
2018-07-09 10:25 nbv Note Added: 0077382
2018-07-09 10:26 nbv Assigned To nbv => bugmaster
2018-07-09 10:58 bugmaster Status feedback => verified
2018-07-09 10:58 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker